public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-text/xhtml1/
Date: Wed, 11 Sep 2019 17:58:07 +0000 (UTC)	[thread overview]
Message-ID: <1568224651.958ac932b6781bf522d38745f6ce34b11333a2e9.mgorny@gentoo> (raw)

commit:     958ac932b6781bf522d38745f6ce34b11333a2e9
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Wed Sep  4 09:12:46 2019 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed Sep 11 17:57:31 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=958ac932

app-text/xhtml1: Bump to EAPI 7, use sgml-catalog-r1

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 app-text/xhtml1/xhtml1-20020801-r6.ebuild | 78 +++++++++++++++++++++++++++++++
 1 file changed, 78 insertions(+)

diff --git a/app-text/xhtml1/xhtml1-20020801-r6.ebuild b/app-text/xhtml1/xhtml1-20020801-r6.ebuild
new file mode 100644
index 00000000000..306fefc150c
--- /dev/null
+++ b/app-text/xhtml1/xhtml1-20020801-r6.ebuild
@@ -0,0 +1,78 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+inherit sgml-catalog-r1
+
+DESCRIPTION="DTDs for the eXtensible HyperText Markup Language 1.0"
+HOMEPAGE="http://www.w3.org/TR/xhtml1/"
+SRC_URI="mirror://gentoo/xhtml1.tgz -> ${P}.tgz"
+
+LICENSE="W3C"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~ppc ~x86 ~amd64-linux ~x86-linux ~ppc-macos"
+IUSE=""
+
+DEPEND="app-text/sgml-common
+	dev-libs/libxml2"
+
+PATCHES=( "${FILESDIR}"/${PN}-catalog.patch )
+
+xml_catalog_setup() {
+	CATALOG="${EROOT}/etc/xml/catalog"
+	XMLTOOL="${BROOT}/usr/bin/xmlcatalog"
+	DTDDIR="${EROOT}/usr/share/sgml/${PN}"
+
+	[[ -x ${XMLTOOL} ]]
+}
+
+src_install() {
+	insinto /usr/share/sgml/${PN}
+	doins DTD/xhtml.soc DTD/*.dcl DTD/*.dtd DTD/*.ent
+
+	insinto /etc/sgml
+	newins - xhtml1.cat <<-EOF
+		CATALOG "${EPREFIX}/usr/share/sgml/xhtml1/xhtml.soc"
+	EOF
+
+	dodoc *.pdf *.ps
+	docinto html
+	dodoc *.html *.png *.css
+}
+
+pkg_preinst() {
+	# work-around old revision removing it
+	cp "${ED}"/etc/sgml/xhtml1.cat "${T}" || die
+}
+
+pkg_postinst() {
+	if [[ ! -f ${EROOT}/etc/sgml/xhtml1.cat ]]; then
+		cp "${T}"/xhtml1.cat "${EROOT}"/etc/sgml/ || die
+	fi
+	sgml-catalog-r1_pkg_postinst
+
+	xml_catalog_setup || return
+	einfo "Installing xhtml1 in the global XML catalog"
+	"${XMLTOOL}" --noout --add 'public' '-//W3C//DTD XHTML 1.0 Strict//EN' \
+		"${DTDDIR}"/xhtml1-strict.dtd "${CATALOG}"
+	"${XMLTOOL}" --noout --add 'public' '-//W3C//DTD XHTML 1.0 Transitional//EN' \
+		"${DTDDIR}"/xhtml1-transitional.dtd "${CATALOG}"
+	"${XMLTOOL}" --noout --add 'public' '-//W3C//DTD XHTML 1.0 Frameset//EN' \
+		"${DTDDIR}"/xhtml1-frameset.dtd "${CATALOG}"
+	"${XMLTOOL}" --noout --add 'rewriteSystem' 'http://www.w3.org/TR/xhtml1/DTD' \
+		"${DTDDIR}" "${CATALOG}"
+	"${XMLTOOL}" --noout --add 'rewriteURI' 'http://www.w3.org/TR/xhtml1/DTD' \
+		"${DTDDIR}" "${CATALOG}"
+}
+
+pkg_postrm() {
+	sgml-catalog-r1_pkg_postrm
+
+	[[ -n ${REPLACED_BY_VERSION} ]] && return
+	xml_catalog_setup || return
+	einfo "Removing xhtml1 from the global XML catalog"
+	"${XMLTOOL}" --noout --del '-//W3C//DTD XHTML 1.0 Strict//EN' "${CATALOG}"
+	"${XMLTOOL}" --noout --del '-//W3C//DTD XHTML 1.0 Transitional//EN' "${CATALOG}"
+	"${XMLTOOL}" --noout --del '-//W3C//DTD XHTML 1.0 Frameset//EN' "${CATALOG}"
+	"${XMLTOOL}" --noout --del 'http://www.w3.org/TR/xhtml1/DTD' "${CATALOG}"
+}


             reply	other threads:[~2019-09-11 17:58 UTC|newest]

Thread overview: 27+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2019-09-11 17:58 Michał Górny [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-08-26 16:29 [gentoo-commits] repo/gentoo:master commit in: app-text/xhtml1/ Arthur Zamarin
2022-08-27 10:11 WANG Xuerui
2022-08-24  5:18 Sam James
2022-07-30  9:51 Arthur Zamarin
2022-07-26  4:46 Sam James
2022-07-26  2:05 Sam James
2022-07-26  1:36 Sam James
2022-06-09  2:43 Sam James
2022-05-16  2:29 Sam James
2022-05-15  3:48 Sam James
2022-05-14  9:21 Jakov Smolić
2022-05-14  9:18 Jakov Smolić
2022-05-14  8:10 Arthur Zamarin
2020-08-20 13:20 Sam James
2019-12-28 21:32 Georgy Yakovlev
2019-11-08 21:13 Michał Górny
2019-11-08 21:13 Michał Górny
2019-10-14 11:07 Agostino Sarubbo
2019-10-12  8:55 Mikle Kolyada
2019-09-17  7:12 Michał Górny
2019-09-11 17:58 Michał Górny
2019-08-15  9:42 Michał Górny
2018-01-22 19:13 Mikle Kolyada
2018-01-22 19:12 Mikle Kolyada
2018-01-11 21:58 Andreas Hüttel
2016-02-28  7:25 Matt Thode

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1568224651.958ac932b6781bf522d38745f6ce34b11333a2e9.mgorny@gentoo \
    --to=mgorny@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox